# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'mainwindow.ui'
#
# Created by: PyQt5 UI code generator 5.11.3
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_mainWindow(object):
    def setupUi(self, mainWindow):
        mainWindow.setObjectName("mainWindow")
        mainWindow.setEnabled(True)
        mainWindow.resize(1280, 800)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(mainWindow.sizePolicy().hasHeightForWidth())
        mainWindow.setSizePolicy(sizePolicy)
        mainWindow.setMinimumSize(QtCore.QSize(1280, 800))
        mainWindow.setAutoFillBackground(False)
        mainWindow.setStyleSheet("")
        self.gridLayout = QtWidgets.QGridLayout(mainWindow)
        self.gridLayout.setObjectName("gridLayout")
        self.plotFrame = QtWidgets.QFrame(mainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.plotFrame.sizePolicy().hasHeightForWidth())
        self.plotFrame.setSizePolicy(sizePolicy)
        self.plotFrame.setMinimumSize(QtCore.QSize(1030, 300))
        self.plotFrame.setToolTip("")
        self.plotFrame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.plotFrame.setObjectName("plotFrame")
        self.gridLayout.addWidget(self.plotFrame, 0, 1, 1, 2)
        self.debugFrame = QtWidgets.QFrame(mainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.debugFrame.sizePolicy().hasHeightForWidth())
        self.debugFrame.setSizePolicy(sizePolicy)
        self.debugFrame.setMinimumSize(QtCore.QSize(1030, 310))
        self.debugFrame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.debugFrame.setFrameShadow(QtWidgets.QFrame.Plain)
        self.debugFrame.setObjectName("debugFrame")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.debugFrame)
        self.verticalLayout.setObjectName("verticalLayout")
        self.debugInputLineEdit = QtWidgets.QLineEdit(self.debugFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.debugInputLineEdit.sizePolicy().hasHeightForWidth())
        self.debugInputLineEdit.setSizePolicy(sizePolicy)
        self.debugInputLineEdit.setMinimumSize(QtCore.QSize(800, 10))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.debugInputLineEdit.setFont(font)
        self.debugInputLineEdit.setObjectName("debugInputLineEdit")
        self.verticalLayout.addWidget(self.debugInputLineEdit)
        self.debugOutputTextEdit = QtWidgets.QTextEdit(self.debugFrame)
        self.debugOutputTextEdit.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.debugOutputTextEdit.sizePolicy().hasHeightForWidth())
        self.debugOutputTextEdit.setSizePolicy(sizePolicy)
        self.debugOutputTextEdit.setMinimumSize(QtCore.QSize(800, 100))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.debugOutputTextEdit.setFont(font)
        self.debugOutputTextEdit.setReadOnly(True)
        self.debugOutputTextEdit.setAcceptRichText(False)
        self.debugOutputTextEdit.setObjectName("debugOutputTextEdit")
        self.verticalLayout.addWidget(self.debugOutputTextEdit)
        self.clearDebugTxtButton = QtWidgets.QPushButton(self.debugFrame)
        self.clearDebugTxtButton.setMaximumSize(QtCore.QSize(80, 25))
        self.clearDebugTxtButton.setObjectName("clearDebugTxtButton")
        self.verticalLayout.addWidget(self.clearDebugTxtButton)
        self.gridLayout.addWidget(self.debugFrame, 1, 1, 1, 2)
        self.statusFrame = QtWidgets.QFrame(mainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.statusFrame.sizePolicy().hasHeightForWidth())
        self.statusFrame.setSizePolicy(sizePolicy)
        self.statusFrame.setMinimumSize(QtCore.QSize(1260, 36))
        self.statusFrame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.statusFrame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.statusFrame.setLineWidth(1)
        self.statusFrame.setObjectName("statusFrame")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.statusFrame)
        self.horizontalLayout_3.setContentsMargins(0, 1, 0, 1)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.hbStatusLabel = QtWidgets.QLabel(self.statusFrame)
        self.hbStatusLabel.setMinimumSize(QtCore.QSize(48, 24))
        self.hbStatusLabel.setMaximumSize(QtCore.QSize(20, 20))
        self.hbStatusLabel.setStatusTip("")
        self.hbStatusLabel.setWhatsThis("")
        self.hbStatusLabel.setStyleSheet("")
        self.hbStatusLabel.setAlignment(QtCore.Qt.AlignCenter)
        self.hbStatusLabel.setObjectName("hbStatusLabel")
        self.horizontalLayout_3.addWidget(self.hbStatusLabel)
        self.errDescLabel = QtWidgets.QLabel(self.statusFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.errDescLabel.sizePolicy().hasHeightForWidth())
        self.errDescLabel.setSizePolicy(sizePolicy)
        self.errDescLabel.setMinimumSize(QtCore.QSize(0, 24))
        self.errDescLabel.setText("")
        self.errDescLabel.setObjectName("errDescLabel")
        self.horizontalLayout_3.addWidget(self.errDescLabel)
        self.otpStatusLabel = QtWidgets.QLabel(self.statusFrame)
        self.otpStatusLabel.setMinimumSize(QtCore.QSize(48, 24))
        self.otpStatusLabel.setMaximumSize(QtCore.QSize(20, 20))
        self.otpStatusLabel.setStyleSheet("")
        self.otpStatusLabel.setAlignment(QtCore.Qt.AlignCenter)
        self.otpStatusLabel.setObjectName("otpStatusLabel")
        self.horizontalLayout_3.addWidget(self.otpStatusLabel)
        self.ocpStatusLabel = QtWidgets.QLabel(self.statusFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ocpStatusLabel.sizePolicy().hasHeightForWidth())
        self.ocpStatusLabel.setSizePolicy(sizePolicy)
        self.ocpStatusLabel.setMinimumSize(QtCore.QSize(48, 24))
        self.ocpStatusLabel.setMaximumSize(QtCore.QSize(20, 20))
        self.ocpStatusLabel.setStyleSheet("")
        self.ocpStatusLabel.setAlignment(QtCore.Qt.AlignCenter)
        self.ocpStatusLabel.setObjectName("ocpStatusLabel")
        self.horizontalLayout_3.addWidget(self.ocpStatusLabel)
        self.gridLayout.addWidget(self.statusFrame, 2, 0, 1, 3)
        self.controlFrame = QtWidgets.QFrame(mainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.controlFrame.sizePolicy().hasHeightForWidth())
        self.controlFrame.setSizePolicy(sizePolicy)
        self.controlFrame.setMinimumSize(QtCore.QSize(180, 310))
        self.controlFrame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.controlFrame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.controlFrame.setLineWidth(1)
        self.controlFrame.setObjectName("controlFrame")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.controlFrame)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setSpacing(4)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.acqCtrlGroupBox = QtWidgets.QGroupBox(self.controlFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.acqCtrlGroupBox.sizePolicy().hasHeightForWidth())
        self.acqCtrlGroupBox.setSizePolicy(sizePolicy)
        self.acqCtrlGroupBox.setMinimumSize(QtCore.QSize(200, 200))
        self.acqCtrlGroupBox.setMaximumSize(QtCore.QSize(200, 200))
        self.acqCtrlGroupBox.setAlignment(QtCore.Qt.AlignHCenter|QtCore.Qt.AlignTop)
        self.acqCtrlGroupBox.setObjectName("acqCtrlGroupBox")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.acqCtrlGroupBox)
        self.verticalLayout_3.setContentsMargins(-1, 19, -1, 9)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.startButton = QtWidgets.QPushButton(self.acqCtrlGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.startButton.sizePolicy().hasHeightForWidth())
        self.startButton.setSizePolicy(sizePolicy)
        self.startButton.setMinimumSize(QtCore.QSize(150, 60))
        font = QtGui.QFont()
        font.setPointSize(18)
        self.startButton.setFont(font)
        self.startButton.setStyleSheet("")
        self.startButton.setObjectName("startButton")
        self.verticalLayout_3.addWidget(self.startButton)
        self.acquisitionProgressBar = QtWidgets.QProgressBar(self.acqCtrlGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.acquisitionProgressBar.sizePolicy().hasHeightForWidth())
        self.acquisitionProgressBar.setSizePolicy(sizePolicy)
        self.acquisitionProgressBar.setMinimumSize(QtCore.QSize(150, 0))
        self.acquisitionProgressBar.setProperty("value", 0)
        self.acquisitionProgressBar.setObjectName("acquisitionProgressBar")
        self.verticalLayout_3.addWidget(self.acquisitionProgressBar)
        self.realtimeCheckBox = QtWidgets.QCheckBox(self.acqCtrlGroupBox)
        self.realtimeCheckBox.setChecked(True)
        self.realtimeCheckBox.setObjectName("realtimeCheckBox")
        self.verticalLayout_3.addWidget(self.realtimeCheckBox)
        self.verticalLayout_2.addWidget(self.acqCtrlGroupBox)
        self.swCtrlGroupBox = QtWidgets.QGroupBox(self.controlFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.swCtrlGroupBox.sizePolicy().hasHeightForWidth())
        self.swCtrlGroupBox.setSizePolicy(sizePolicy)
        self.swCtrlGroupBox.setMinimumSize(QtCore.QSize(200, 160))
        self.swCtrlGroupBox.setMaximumSize(QtCore.QSize(200, 16777215))
        self.swCtrlGroupBox.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.swCtrlGroupBox.setAlignment(QtCore.Qt.AlignHCenter|QtCore.Qt.AlignTop)
        self.swCtrlGroupBox.setFlat(False)
        self.swCtrlGroupBox.setCheckable(False)
        self.swCtrlGroupBox.setObjectName("swCtrlGroupBox")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.swCtrlGroupBox)
        self.gridLayout_2.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout_2.setContentsMargins(9, -1, 9, -1)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.onButton = QtWidgets.QPushButton(self.swCtrlGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.onButton.sizePolicy().hasHeightForWidth())
        self.onButton.setSizePolicy(sizePolicy)
        self.onButton.setMinimumSize(QtCore.QSize(120, 40))
        self.onButton.setObjectName("onButton")
        self.gridLayout_2.addWidget(self.onButton, 1, 0, 1, 1)
        self.mcuResetButton = QtWidgets.QPushButton(self.swCtrlGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.mcuResetButton.sizePolicy().hasHeightForWidth())
        self.mcuResetButton.setSizePolicy(sizePolicy)
        self.mcuResetButton.setMinimumSize(QtCore.QSize(120, 40))
        self.mcuResetButton.setObjectName("mcuResetButton")
        self.gridLayout_2.addWidget(self.mcuResetButton, 0, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.swCtrlGroupBox)
        self.advCtrlGroupBox = QtWidgets.QGroupBox(self.controlFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.advCtrlGroupBox.sizePolicy().hasHeightForWidth())
        self.advCtrlGroupBox.setSizePolicy(sizePolicy)
        self.advCtrlGroupBox.setMinimumSize(QtCore.QSize(200, 160))
        self.advCtrlGroupBox.setAlignment(QtCore.Qt.AlignCenter)
        self.advCtrlGroupBox.setObjectName("advCtrlGroupBox")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.advCtrlGroupBox)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.ocpotpResetButton = QtWidgets.QPushButton(self.advCtrlGroupBox)
        self.ocpotpResetButton.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ocpotpResetButton.sizePolicy().hasHeightForWidth())
        self.ocpotpResetButton.setSizePolicy(sizePolicy)
        self.ocpotpResetButton.setMinimumSize(QtCore.QSize(120, 40))
        self.ocpotpResetButton.setMaximumSize(QtCore.QSize(120, 35))
        self.ocpotpResetButton.setObjectName("ocpotpResetButton")
        self.gridLayout_4.addWidget(self.ocpotpResetButton, 1, 0, 1, 1)
        self.calibrateButton = QtWidgets.QPushButton(self.advCtrlGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.calibrateButton.sizePolicy().hasHeightForWidth())
        self.calibrateButton.setSizePolicy(sizePolicy)
        self.calibrateButton.setMinimumSize(QtCore.QSize(120, 40))
        self.calibrateButton.setObjectName("calibrateButton")
        self.gridLayout_4.addWidget(self.calibrateButton, 0, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.advCtrlGroupBox)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)
        self.connectionGroupBox = QtWidgets.QGroupBox(self.controlFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.connectionGroupBox.sizePolicy().hasHeightForWidth())
        self.connectionGroupBox.setSizePolicy(sizePolicy)
        self.connectionGroupBox.setMinimumSize(QtCore.QSize(200, 180))
        self.connectionGroupBox.setMaximumSize(QtCore.QSize(200, 16777215))
        self.connectionGroupBox.setAlignment(QtCore.Qt.AlignCenter)
        self.connectionGroupBox.setObjectName("connectionGroupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.connectionGroupBox)
        self.gridLayout_3.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout_3.setContentsMargins(4, -1, 4, -1)
        self.gridLayout_3.setHorizontalSpacing(1)
        self.gridLayout_3.setVerticalSpacing(6)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.baudrateComboBox = QtWidgets.QComboBox(self.connectionGroupBox)
        self.baudrateComboBox.setMinimumSize(QtCore.QSize(140, 0))
        self.baudrateComboBox.setCurrentText("")
        self.baudrateComboBox.setObjectName("baudrateComboBox")
        self.gridLayout_3.addWidget(self.baudrateComboBox, 1, 0, 1, 1)
        self.portsComboBox = QtWidgets.QComboBox(self.connectionGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.portsComboBox.sizePolicy().hasHeightForWidth())
        self.portsComboBox.setSizePolicy(sizePolicy)
        self.portsComboBox.setMinimumSize(QtCore.QSize(140, 0))
        self.portsComboBox.setMaximumSize(QtCore.QSize(140, 16777215))
        self.portsComboBox.setCurrentText("")
        self.portsComboBox.setObjectName("portsComboBox")
        self.gridLayout_3.addWidget(self.portsComboBox, 0, 0, 1, 1)
        self.scanPortsButton = QtWidgets.QPushButton(self.connectionGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.scanPortsButton.sizePolicy().hasHeightForWidth())
        self.scanPortsButton.setSizePolicy(sizePolicy)
        self.scanPortsButton.setMinimumSize(QtCore.QSize(24, 24))
        self.scanPortsButton.setMaximumSize(QtCore.QSize(24, 24))
        self.scanPortsButton.setText("")
        self.scanPortsButton.setObjectName("scanPortsButton")
        self.gridLayout_3.addWidget(self.scanPortsButton, 0, 2, 1, 1)
        self.connectButton = QtWidgets.QPushButton(self.connectionGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.connectButton.sizePolicy().hasHeightForWidth())
        self.connectButton.setSizePolicy(sizePolicy)
        self.connectButton.setMinimumSize(QtCore.QSize(90, 30))
        self.connectButton.setObjectName("connectButton")
        self.gridLayout_3.addWidget(self.connectButton, 3, 0, 1, 1)
        self.autoConnectCheckBox = QtWidgets.QCheckBox(self.connectionGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.autoConnectCheckBox.sizePolicy().hasHeightForWidth())
        self.autoConnectCheckBox.setSizePolicy(sizePolicy)
        self.autoConnectCheckBox.setObjectName("autoConnectCheckBox")
        self.gridLayout_3.addWidget(self.autoConnectCheckBox, 3, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.connectionGroupBox)
        self.gridLayout.addWidget(self.controlFrame, 0, 0, 2, 1)

        self.retranslateUi(mainWindow)
        QtCore.QMetaObject.connectSlotsByName(mainWindow)

    def retranslateUi(self, mainWindow):
        _translate = QtCore.QCoreApplication.translate
        mainWindow.setWindowTitle(_translate("mainWindow", "Blixt Circuit Breaker Controller"))
        self.debugInputLineEdit.setToolTip(_translate("mainWindow", "Debug text input"))
        self.debugOutputTextEdit.setToolTip(_translate("mainWindow", "Debug text output"))
        self.clearDebugTxtButton.setToolTip(_translate("mainWindow", "Clear debug text output"))
        self.clearDebugTxtButton.setText(_translate("mainWindow", "Clear"))
        self.hbStatusLabel.setToolTip(_translate("mainWindow", "Heartbeat status"))
        self.hbStatusLabel.setText(_translate("mainWindow", "HB"))
        self.otpStatusLabel.setToolTip(_translate("mainWindow", "Over temperature protection status"))
        self.otpStatusLabel.setText(_translate("mainWindow", "OTP"))
        self.ocpStatusLabel.setToolTip(_translate("mainWindow", "Overcurrent protection status"))
        self.ocpStatusLabel.setText(_translate("mainWindow", "OCP"))
        self.acqCtrlGroupBox.setTitle(_translate("mainWindow", "Acquisition"))
        self.startButton.setToolTip(_translate("mainWindow", "Start/stop sampling"))
        self.startButton.setText(_translate("mainWindow", "Start"))
        self.realtimeCheckBox.setToolTip(_translate("mainWindow", "Enable/disable realtime display"))
        self.realtimeCheckBox.setText(_translate("mainWindow", "Realtime"))
        self.swCtrlGroupBox.setTitle(_translate("mainWindow", "Control"))
        self.onButton.setToolTip(_translate("mainWindow", "Turn on the switch"))
        self.onButton.setText(_translate("mainWindow", "On"))
        self.mcuResetButton.setToolTip(_translate("mainWindow", "Reset the MCU"))
        self.mcuResetButton.setText(_translate("mainWindow", "MCU Reset"))
        self.advCtrlGroupBox.setTitle(_translate("mainWindow", "Advanced Control"))
        self.ocpotpResetButton.setToolTip(_translate("mainWindow", "Reset overcurrent and over temperature protection"))
        self.ocpotpResetButton.setText(_translate("mainWindow", "OCP/OTP Reset"))
        self.calibrateButton.setToolTip(_translate("mainWindow", "Calibrate the ADCs"))
        self.calibrateButton.setText(_translate("mainWindow", "Calibrate"))
        self.connectionGroupBox.setTitle(_translate("mainWindow", "Connection"))
        self.baudrateComboBox.setToolTip(_translate("mainWindow", "Select baud rate"))
        self.portsComboBox.setToolTip(_translate("mainWindow", "Select serial port"))
        self.scanPortsButton.setToolTip(_translate("mainWindow", "Scan serial ports"))
        self.connectButton.setToolTip(_translate("mainWindow", "Connect/disconnect the device"))
        self.connectButton.setText(_translate("mainWindow", "Connect"))
        self.autoConnectCheckBox.setToolTip(_translate("mainWindow", "Enable/disable automatic device connection"))
        self.autoConnectCheckBox.setText(_translate("mainWindow", "Auto"))

